libcoap 4.3.2rc2

Data Fields
coap_pki_key_asn1_t Struct Reference
Application API » DTLS Support

The structure that holds the PKI ASN.1 (DER) definitions. More...

`#include <coap_dtls.h>`

## Data Fields
const uint8_t * | ca_cert
| ASN1 (DER) Common CA Cert. More...
const uint8_t * | public_cert
| ASN1 (DER) Public Cert, or Public Key if RPK. More...
const uint8_t * | private_key
| ASN1 (DER) Private Key. More...
size_t | ca_cert_len
| ASN1 CA Cert length. More...
size_t | public_cert_len
| ASN1 Public Cert length. More...
size_t | private_key_len
| ASN1 Private Key length. More...
coap_asn1_privatekey_type_t | private_key_type
| Private Key Type. More...

## Detailed Description

The structure that holds the PKI ASN.1 (DER) definitions.

Definition at line 227 of file coap_dtls.h.

## Field Documentation

## ◆ ca_cert

const uint8_t* coap_pki_key_asn1_t::ca_cert

ASN1 (DER) Common CA Cert.

Definition at line 228 of file coap_dtls.h.

## ◆ ca_cert_len

size_t coap_pki_key_asn1_t::ca_cert_len

ASN1 CA Cert length.

Definition at line 231 of file coap_dtls.h.

## ◆ private_key

const uint8_t* coap_pki_key_asn1_t::private_key

ASN1 (DER) Private Key.

Definition at line 230 of file coap_dtls.h.

## ◆ private_key_len

size_t coap_pki_key_asn1_t::private_key_len

ASN1 Private Key length.

Definition at line 233 of file coap_dtls.h.

## ◆ private_key_type

coap_asn1_privatekey_type_t coap_pki_key_asn1_t::private_key_type

Private Key Type.

Definition at line 234 of file coap_dtls.h.

## ◆ public_cert

const uint8_t* coap_pki_key_asn1_t::public_cert

ASN1 (DER) Public Cert, or Public Key if RPK.

Definition at line 229 of file coap_dtls.h.

## ◆ public_cert_len

size_t coap_pki_key_asn1_t::public_cert_len

ASN1 Public Cert length.

Definition at line 232 of file coap_dtls.h.

The documentation for this struct was generated from the following file:

- coap_dtls.h